summaryrefslogtreecommitdiffstats
path: root/libraries/xforms
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/xforms')
-rw-r--r--libraries/xforms/README22
-rw-r--r--libraries/xforms/xforms-1.2.4-fno-common.patch40
-rw-r--r--libraries/xforms/xforms.SlackBuild42
-rw-r--r--libraries/xforms/xforms.info4
4 files changed, 83 insertions, 25 deletions
diff --git a/libraries/xforms/README b/libraries/xforms/README
index c57878801f..df02a0090f 100644
--- a/libraries/xforms/README
+++ b/libraries/xforms/README
@@ -1,13 +1,15 @@
XForms (X11 graphical user interface toolkit)
-XForms is a graphical user interface toolkit based on the X11 Xlib library.
-It's written in C and allows to easily write GUIs for programs. For that,
-it comes with a lot of widgets (buttons, menus, input fields, scrollbars,
-you name it) as well as fdesign, a tool that lets you create a GUI using a
-GUI. In addition, the library is extensible and new objects can easily be
-created and added to the library.
+XForms is a graphical user interface toolkit based on the X11 Xlib
+library. It's written in C and allows to easily write GUIs for
+programs. For that, it comes with a lot of widgets (buttons, menus,
+input fields, scrollbars, you name it) as well as fdesign, a tool
+that lets you create a GUI using a GUI. In addition, the library is
+extensible and new objects can easily be created and added to the
+library.
-Note: the XForms toolkit hasn't anything to do with the W3C standardized
-XML XForms format which unfortunately also is called "XForms". The XForms
-toolkit already existed long before the XML XForms format stuff was invented
-and those newcomers just picked the same name ;-)
+Note: the XForms toolkit hasn't anything to do with the W3C
+standardized XML XForms format which unfortunately also is called
+"XForms". The XForms toolkit already existed long before the XML
+XForms format stuff was invented and those newcomers just picked the
+same name ;-)
diff --git a/libraries/xforms/xforms-1.2.4-fno-common.patch b/libraries/xforms/xforms-1.2.4-fno-common.patch
new file mode 100644
index 0000000000..fd4ca7714f
--- /dev/null
+++ b/libraries/xforms/xforms-1.2.4-fno-common.patch
@@ -0,0 +1,40 @@
+Description: Fix FTBFS with GCC 10
+Author: Paul Wise <pabs@debian.org>
+Bug-Debian: https://bugs.debian.org/957439
+Origin: upstream, extracted from two separate commits:
+ https://git.savannah.nongnu.org/cgit/xforms.git/commit/?id=9806bce102d0c079c2c486b25ae6bdac3c98eecf
+ https://git.savannah.nongnu.org/cgit/xforms.git/commit/?id=2c1a9f151baf50887a517280645ec23379fb96f8
+--- a/fdesign/sp_spinner.c
++++ b/fdesign/sp_spinner.c
+@@ -29,7 +29,7 @@
+ #include "spec/spinner_spec.h"
+
+ static FD_spinnerattrib * spn_attrib;
+-FL_OBJECT *curobj;
++static FL_OBJECT *curobj;
+
+
+ /***************************************
+--- a/fdesign/sp_twheel.c
++++ b/fdesign/sp_twheel.c
+@@ -38,7 +38,7 @@
+ #include "spec/twheel_spec.h"
+
+ static FD_twheelattrib * twheel_attrib;
+-FL_OBJECT * curobj;
++static FL_OBJECT * curobj;
+
+
+ /***************************************
+--- a/lib/objects.c
++++ b/lib/objects.c
+@@ -36,6 +36,9 @@
+
+ #define TRANSLATE_Y( obj, form ) ( form->h - obj->h - obj->y )
+
++extern FL_OBJECT * fli_handled_obj; /* defined in events.c */
++extern FL_OBJECT * fli_handled_parent; /* defined in events.c */
++
+ extern FL_FORM * fli_fast_free_object; /* defined in forms.c */
+
+ extern FL_OBJECT * fli_handled_obj; /* defined in events.c */
diff --git a/libraries/xforms/xforms.SlackBuild b/libraries/xforms/xforms.SlackBuild
index 1cf2772eba..4b6303382f 100644
--- a/libraries/xforms/xforms.SlackBuild
+++ b/libraries/xforms/xforms.SlackBuild
@@ -1,9 +1,11 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for xforms
# Copyright 2009-2014 LukenShiro, Italy
# All rights reserved.
+# Copyright 2019-2021 Christoph Willing, Brisbane/Australia
+# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
@@ -22,31 +24,42 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# 20220419 bkw: Modified by SlackBuilds.org, BUILD=4:
+# - install demos stripped.
+# - don't install useless INSTALL* docs.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=xforms
VERSION=${VERSION:-1.2.4}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-4}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
fi
-CWD=$(pwd)
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCFILES="ChangeLog COPYING.LIB Copyright INSTALL* README"
+DOCFILES="ChangeLog COPYING.LIB Copyright README"
# sources with data examples, and pre-built ones
DEMOFILES="*.h *.c *.xbm *.xpm *.menu .libs/*"
DEMOFDFILES="*.h *.c *.fd *.xpm"
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -67,12 +80,13 @@ cd $TMP
rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
+patch -p1 < $CWD/xforms-1.2.4-fno-common.patch
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -91,9 +105,6 @@ CXXFLAGS="$SLKCFLAGS" \
make all
make install DESTDIR=$PKG
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $(find $PKG/usr/man -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
@@ -112,8 +123,13 @@ mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+rm -f $PKG/usr/lib*/*.la
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/xforms/xforms.info b/libraries/xforms/xforms.info
index 8be82a3e75..4f5cc061d6 100644
--- a/libraries/xforms/xforms.info
+++ b/libraries/xforms/xforms.info
@@ -6,5 +6,5 @@ MD5SUM="d4414c9eb3b284aa2f603a49f376ed22"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="LukenShiro"
-EMAIL="lukenshiro@ngi.it"
+MAINTAINER="Christoph Willing"
+EMAIL="chris.willing@linux.com"